System.ServiceModel 4.0.0.0 System.Configuration.ConfigurationElement To be added.

Manages a collection of service endpoints in a configuration file.

- Constructor
  4.0.0.0
  To be added.

  Creates a new instance of the class.

- Property
  4.0.0.0
  System.Collections.ObjectModel.ReadOnlyCollection<System.ServiceModel.Configuration.StandardEndpointElement> To be added. To be added.

  When implemented in a derived class, provides a read-only collection of methods and properties.

- Method
  4.0.0.0
  System.Boolean `` To be added.

  Determines whether the service element in a configuration file contains an endpoint element with the same name as the specified string.

  true if the specified string contains a specified element name; otherwise false.

  The name of the key in a key/value pair that represents an endpoint element name and value.
- Property
  4.0.0.0
  System.String To be added. To be added.

  When implemented in a derived class, gets the value of the name attribute of a service endpoint element.

- Property
  4.0.0.0
  System.Type To be added. To be added.

  When implemented in a derived class, gets the type of the service endpoint.

- Method
  4.0.0.0
  System.ServiceModel.Configuration.StandardEndpointElement To be added.

  When implemented in a derived class, returns the default .

  A service model standard endpoint element.

- Method
  4.0.0.0
  System.Boolean `` `` `` To be added.

  When implemented in a derived class, adds the specified endpoint to the collection of service endpoints in a configuration file.

  true if the endpoint is added to the collection in the configuration file; otherwise, false.

  The name of the service endpoint that contains the endpoint collection. The service endpoint element to be added to the collection. The configuration file that receives the service endpoint.